Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class ConfigurationComponentBuilder

    java.lang.Object
      com.servingxml.util.xml.AbstractReceiver
          com.servingxml.ioc.components.ConfigurationComponentBuilder

All Implemented Interfaces:
  Receiver

    public class ConfigurationComponentBuilder

extends AbstractReceiver
implements Receiver

Field Summary

Fields inherited from interface com.servingxml.util.xml.Receiver
`UNDEFINED_SYMBOL`

Constructor Summary
`ConfigurationComponentBuilder(Name elementName, Receiver parent)`

Method Summary
`void` | `bind(ReceiverContext context)`
`ConfigurationComponent` | `getConfigurationComponent()`
`protected void` | `selfReceived(ReceiverContext context)`
`void` | `startElement(ReceiverContext context)`

Methods inherited from class com.servingxml.util.xml.AbstractReceiver
`bind, characters, childReceived, endElement, getAttributeValue, getName, getSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.xml.Receiver
`characters, childReceived, endElement, getAttributeValue, getName, getSymbol`

Constructor Detail

### ConfigurationComponentBuilder

    public ConfigurationComponentBuilder(Name elementName,
                                         Receiver parent)

Method Detail

### bind

    public void bind(ReceiverContext context)

  Specified by:
    `bind` in interface `Receiver`

### startElement

    public void startElement(ReceiverContext context)

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `AbstractReceiver`

### selfReceived

    protected void selfReceived(ReceiverContext context)

  Overrides:
    `selfReceived` in class `AbstractReceiver`

### getConfigurationComponent

    public ConfigurationComponent getConfigurationComponent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD